Copied to clipboard

Supported Versions

Name Min Version
(Official)
Max Version
(Official)
Not officially supported on latest version but Manual & Automation test are feasible
Please proceed with cautions
Android 4.4.2 11 (Google Pixel devices), Oxygenos 11 Developer Preview 3 (Oneplus devices)
iOS 9.0 14 13.6.1, 13.7, 14 Beta 6
Xcode 10.0 11.6 11.7, 12 Beta 6, 12

Minimum Xcode versions required for typical iOS (according to iOS release notes)

iOS Xcode
14 12 *
14 Beta 12 Beta 6 **
13.7 11.7 ***
13.6 11.6
13.5 11.5
13.4 11.4
13.3.1 11.3
13.3 11.3
13.2 11.2
13.1 11
13 11
12.4 10.3
12.3 10.2.1
12.2 10.2
12.1.3 10.1
12.1.1 10.1
12.1 10.1
12 10

Note

-* & ** Xcode 12 & 12 Beta backward incompatibility: Once Xcode 12 Beta or Xcode 12 are selected in order to host iOS 14 or 14 Beta, iOS 13 or lower will not be supported, please host iOS 13 or lower with Xcode 11. Please follow these steps below to select Xcode 12 Beta or Xcode 12 for Kobiton:

  1. Install Xcode 12 Beta
  2. Run on the terminal: sudo xcodebuild -license accept
  3. Run on the terminal: sudo xcode-select -switch /Applications/Xcode-beta.app/
  4. Run on the terminal: sudo sh -c "$(curl -fsSL https://kobiton-devvn.s3-ap-southeast-1.amazonaws.com/bashcript/ios14GMAutomation.sh)"

-*** Due to an issue from Apple, XCode 11.7 doesn't support iOS 13.6 & 13.6.1, Kobiton has a work-around to solve:

  1. Quit XCode, download iOS 13.6 support files from this link: https://kobiton.s3.amazonaws.com/iOS_13.6_Support_File_for_XCode_11.7/13.6.zip
  2. Unzip and Paste it in this location: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/
  3. Re-open XCode

Otherwise, please host iOS 13.6 & 13.6.1 on a dedicated machine with Xcode 11.6.

Feedback

SELECTED

Tip

You can select a specific word, line of text, or one or more paragraphs to comment.

COMMENT

Please give us some feedback !
Thank you!
  • We are listening,
  • we will do our best to fix this soon